Next Previous Contents

## 3.60 feof

> Function

>   Return the end-of-file indicator of a stream.

> Header

>   `stdio.h`

> Declaration

>   `int __fastcall__ feof (FILE* f);`

> Description

>   `feof` tests the end-of-file indicator ofthe stream `f`, and returns a non zero value if it is set.

> Limits

>   - The indicator is set only after a read past the end of a file is attempted.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   clearerr, ferror

> Example

>   None.

Next Previous Contents